Bug 851295 - splitsep doesn't correctly handle variables with escaped spaces
splitsep doesn't correctly handle variables with escaped spaces
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dracut (Show other bugs)
18
All Linux
unspecified Severity urgent
: ---
: ---
Assigned To: dracut-maint
Fedora Extras Quality Assurance
AcceptedBlocker
:
Depends On:
Blocks: F18Alpha/F18AlphaBlocker 848641
  Show dependency treegraph
 
Reported: 2012-08-23 13:36 EDT by Brian Lane
Modified: 2012-09-07 19:19 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-07 19:19:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
add quotes (1022 bytes, patch)
2012-08-23 13:37 EDT, Brian Lane
no flags Details | Diff

  None (edit)
Description Brian Lane 2012-08-23 13:36:45 EDT
splitsep doesn't correctly handle variables with escaped spaces in it. eg.

splitsep : 'anaconda-disk:LABEL=Fedora\x2018\x20x86_64' f diskdev diskpath

results in LABEL=Fedorax2018x20x86_64

Anaconda uses this to parse the inst.stage2 argument (among other things).
Comment 1 Brian Lane 2012-08-23 13:37:59 EDT
Created attachment 606665 [details]
add quotes
Comment 2 Will Woods 2012-08-23 17:02:20 EDT
Sent a patch upstream:

http://marc.info/?l=initramfs&m=134575536504285&w=2
Comment 3 Adam Williamson 2012-08-27 12:34:33 EDT
Discussed at 2012-08-27 QA meeting, functioning as a blocker review meeting. Accepted as a blocker per criterion "The installer must boot (if appropriate) and run on all primary architectures, with all system firmware types that are common on those architectures, from default live image, DVD, and boot.iso install media when written to an optical disc and when written to a USB stick with at least one of the officially supported methods", on the understanding this causes problems with USB boot.
Comment 4 Adam Williamson 2012-08-29 13:58:54 EDT
Harald, can we please have a build of dracut with this fix ASAP? It's blocking quite a lot of other work on the Alpha. thanks!
Comment 5 Fedora Update System 2012-08-31 01:57:17 EDT
dracut-023-21.git20120823.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/FEDORA-2012-13041/dracut-023-21.git20120823.fc18
Comment 6 Kamil Páral 2012-09-03 04:53:55 EDT
Brian, is this fixed in F18 Alpha TC5? Or how can I check?
Comment 7 Adam Williamson 2012-09-05 14:12:10 EDT
<bcl> if it has inst.stage2=hd:LABEL= and label has spaces and it boots when you dd it, it worked.
Comment 8 Adam Williamson 2012-09-06 17:16:06 EDT
With TC6, a dd'ed netinst ISO gives a LABEL= that looks right, and it boots. Setting VERIFIED (update is not yet pushed).
Comment 9 Fedora Update System 2012-09-07 19:19:25 EDT
dracut-023-21.git20120823.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.